Subject: Bug#899: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error

From: "Harris, Peter A" <[email-masked]>
Date: Wed, 1 Jul 2015 15:49:35 +0000

It seems to be only yum that has an issue with the libXcompshad3 package:
-------------------------------------

[PAH-TEST-134-62-62]
tmp>  yum install ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Setting up Install Process
Examining ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm: libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
Error: Nothing to do

[PAH-TEST-134-62-62]
tmp>  rpm -iv ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
warning: ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID 5bfe2b6e: NOKEY
error: Failed dependencies:
        libNX_X11.so.6()(64bit) is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
        libNX_Xdamage.so.1()(64bit) is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
        libNX_Xrandr.so.2()(64bit) is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
        libNX_Xtst.so.6()(64bit) is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
        nx-libs(x86-64) >= 3.5.0.29 is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64

[PAH-TEST-134-62-62]
tmp>  rpm -qa | egrep compshad

[PAH-TEST-134-62-62]
tmp>  yum provides '*/libXcompshad.so.3'
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Mondorescue                                                                               | 1.3 kB     00:00     
rhel-6-workstation-optional-rpms                                                          | 3.5 kB     00:00     
rhel-6-workstation-rpms                                                                   | 3.8 kB     00:00     
rhel-6-workstation-supplementary-rpms                                                     | 3.5 kB     00:00     
rhel-6-workstation-thirdparty-oracle-java-rpms                                            | 3.1 kB     00:00     
x2go-extras-epel                                                                          | 2.9 kB     00:00     
x2go-release-epel                                                                         | 2.9 kB     00:00     
rhel-6-workstation-rpms/filelists_db                                                      |  18 MB     00:02     
No Matches found

--------------------------------------
Just to make sure my yum files are not bad, I ran a clean.  I got the same results:
--------------------------------------

[PAH-TEST-134-62-62]
tmp>  yum clean packages metadata dbcache rpmdb plugins
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Cleaning repos: mondorescue rhel-6-workstation-optional-rpms rhel-6-workstation-rpms rhel-6-workstation-supplementary-rpms
              : rhel-6-workstation-thirdparty-oracle-java-rpms x2go-extras-epel x2go-release-epel
0 delta-package files removed, by presto
54225 package files removed
22 metadata files removed
14 sqlite files removed
4 rpmdb files removed

[PAH-TEST-134-62-62]
tmp>  rpm -ql libXcompshad3    
package libXcompshad3 is not installed

[PAH-TEST-134-62-62]
tmp>  yum install ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Setting up Install Process
Examining ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm: libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
Error: Nothing to do

[PAH-TEST-134-62-62]
tmp>  yum search libXcompshad
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
mondorescue                                                                               | 1.3 kB     00:00     
mondorescue/primary                                                                       |  41 kB     00:00     
mondorescue                                                                                              165/165
rhel-6-workstation-optional-rpms                                                          | 3.5 kB     00:00     
rhel-6-workstation-optional-rpms/primary_db                                               | 2.5 MB     00:00     
rhel-6-workstation-rpms                                                                   | 3.8 kB     00:00     
rhel-6-workstation-rpms/primary_db                                                        |  33 MB     00:06     
rhel-6-workstation-supplementary-rpms                                                     | 3.5 kB     00:00     
rhel-6-workstation-supplementary-rpms/primary_db                                          | 456 kB     00:00     
rhel-6-workstation-thirdparty-oracle-java-rpms                                            | 3.1 kB     00:00     
rhel-6-workstation-thirdparty-oracle-java-rpms/primary_db                                 | 273 kB     00:00     
x2go-extras-epel                                                                          | 2.9 kB     00:00     
x2go-extras-epel/primary_db                                                               | 9.4 kB     00:00     
x2go-release-epel                                                                         | 2.9 kB     00:00     
x2go-release-epel/primary_db                                                              |  33 kB     00:00     
Warning: No matches found for: libXcompshad
No Matches found

----------------------------
Could this be an issue with the repo data rather than the rpm?  Doing a search for libXcomp finds the other packages, but not libXcompshad3.
----------------------------

[PAH-TEST-134-62-62]
tmp>  yum search libXcomp
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
============================================ N/S Matched: libXcomp ============================================
libXcomposite-devel.i686 : Development files for libXcomposite
libXcomposite-devel.x86_64 : Development files for libXcomposite
libXcomp-devel.x86_64 : Development files for the NX differential compression library
libXcomp3.x86_64 : NX differential compression library
libXcompext-devel.x86_64 : Development files for the NX compression extensions library
libXcompext3.x86_64 : NX protocol compression extensions library
libXcomposite.i686 : X Composite Extension library
libXcomposite.x86_64 : X Composite Extension library

  Name and summary matches only, use "search all" for everything.

[PAH-TEST-134-62-62]
tmp>  yum list libXcomp\*
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit,
              : security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Installed Packages
libXcomposite.i686         0.4.3-4.el6                                  @rhel-6-workstation-rpms    
libXcomposite.x86_64       0.4.3-4.el6                                  @anaconda-RedHatEnterpriseLinux-201409260744.x86_64/6.6
libXcomposite-devel.x86_64 0.4.3-4.el6                                  @anaconda-RedHatEnterpriseLinux-201409260744.x86_64/6.6
Available Packages
libXcomp-devel.x86_64      3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 x2go-release-epel           
libXcomp3.x86_64           3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 x2go-release-epel           
libXcompext-devel.x86_64   3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 x2go-release-epel           
libXcompext3.x86_64        3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 x2go-release-epel           
libXcomposite-devel.i686   0.4.3-4.el6                                  rhel-6-workstation-rpms     

Regards,
Pete...

-----Original Message-----
From: Mihai Moldovan [mailto:[email-masked]] 
Sent: Tuesday, June 30, 2015 4:37 PM
To: Harris, Peter A; [email-masked]
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error

On 30.06.2015 10:23 PM, Harris, Peter A wrote:[PAH>>]  
> When I try to yum install x2goserver on RHEL 6.6 from epel/6/x86_64, I get a dependency error for libXcompshad.so.3 required by nxagent.

This is odd.

> Downloading the package directly from http://packages.x2go.org/epel/6/main/x86_64/rpms/nx-libs/libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm and using yum to install just the one RPM returns the error "Nothing to do".

This means it's already installed, check with rpm -qa | grep Xcompshad

> See attachments for:
> 	x2go.repo

Looks good.

> 	Output of "yum install x2goserver"

Doesn't look good.

What does rpm -ql libXcompshad3 output? It should be listing
/usr/lib64/libXcompshad.so.3 - the library nxagent is depending on.

I also unpacked the libXcompshad3 package manually to make sure that the library
is bundled in there - both the library and its symlink are part of the RPM file.

Mihai